#
# The AWStats configuration common to all sites.
#
# Any directive that uses the documented AWStats default is commented-out with
# the default value shown.
#
# Any directive that is set per-site is commented-out and prefixed with
# "# Per-site: ".
#
# The per-site configuration files are generated by AOServ Daemon in
# /etc/awstats/awstats.<site_name>.conf
#
# See /opt/awstats/wwwroot/cgi-bin/awstats.model.conf
# See http://www.awstats.org/docs/awstats_config.html
# See com.aoindustries.aoserv.daemon.httpd.AWStatsManager
#
# ** Last reviewed for AWStats 7.6 **
#

#
# Directives based on /opt/awstats/wwwroot/cgi-bin/awstats.model.conf
#

# Per-site: LogFile="/var/opt/awstats/hosts/<site_name>/logview.sh |"
# LogType=W
LogFormat=1
# LogSeparator=" "
# Per-site: SiteDomain="<primary_hostname>"
# Per-site: HostAliases="<test_hostname> <alias_hostname> <ip_address>"
# DNSLookup=2
# DynamicDNSLookup=0
# Per-site: DirData="/var/opt/awstats/hosts/<site_name>/data"
DirCgi="/opt/awstats/wwwroot/cgi-bin"
DirIcons="https://aoindustries.com/clientarea/control/httpd/awstats_icons"
# AllowToUpdateStatsFromBrowser=0
AllowFullYearView=0
EnableLockForUpdate=1
DNSStaticCacheFile="/var/opt/awstats/dnscache.txt"
# Per-site: DNSLastUpdateCacheFile="/var/opt/awstats/hosts/<site_name>/dnscachelastupdate.txt"
# SkipDNSLookupFor=""
# AllowAccessFromWebToAuthenticatedUsersOnly=0
# AllowAccessFromWebToFollowingAuthenticatedUsers=""
# AllowAccessFromWebToFollowingIPAddresses=""
# CreateDirDataIfNotExists=0
# BuildHistoryFormat=text
# BuildReportFormat=html
# SaveDatabaseFilesWithPermissionsForEveryone=0
# PurgeLogFile=0
# ArchiveLogRecords=0
KeepBackupOfHistoricFiles=1
DefaultFile="index.html"
# Per-site: SkipHosts="<ip_address> [<ip_address> [...]]"
# SkipUserAgents=""
# Per-site: SkipFiles=""
# SkipReferrersBlackList=""
# OnlyHosts=""
# OnlyUserAgents=""
# OnlyUsers=""
# OnlyFiles=""
# NotPageList="css js class gif jpg jpeg png bmp ico rss xml swf eot woff woff2"
# ValidHTTPCodes="200 304"
# ValidSMTPCodes="1 250"
TrapInfosForHTTPErrorCodes="400 403 404"
# AuthenticatedUsersNotCaseSensitive=0
# URLNotCaseSensitive=0
# URLWithAnchor=0
# URLQuerySeparators="?;"
# URLWithQuery=0
# URLWithQueryWithOnlyFollowingParameters=""
# URLWithQueryWithoutFollowingParameters=""
# URLReferrerWithQuery=0
# WarningMessages=1
# ErrorMessages=""
# DebugMessages=0
# NbOfLinesForCorruptedLog=50
# WrapperScript=""
# DecodeUA=0
# MiscTrackerUrl="/js/awstats_misc_tracker.js"
# AddLinkToExternalCGIWrapper="/awstats/awdownloadcsv.pl"
# LevelForBrowsersDetection=2
# LevelForOSDetection=2
# LevelForRefererAnalyze=2
# LevelForRobotsDetection=2
# LevelForSearchEnginesDetection=2
# LevelForKeywordsDetection=2
# LevelForFileTypesDetection=2
# LevelForWormsDetection=0
# UseFramesWhenCGI=1
# DetailedReportsOnNewWindows=1
# Expires=0
# MaxRowsInHTMLOutput=10000
# Lang="auto"
DirLang="/opt/awstats/wwwroot/cgi-bin/lang"
# ShowMenu=1
# ShowSummary=UVPHB
# ShowMonthStats=UVPHB
# ShowDaysOfMonthStats=VPHB
# ShowDaysOfWeekStats=PHB
# ShowHoursStats=PHB
# ShowDomainsStats=PHB
# ShowHostsStats=PHBL
# ShowAuthenticatedUsers=0
# ShowRobotsStats=HBL
# ShowWormsStats=0
# ShowEMailSenders=0
# ShowEMailReceivers=0
# ShowSessionsStats=1
# ShowPagesStats=PBEX
# ShowFileTypesStats=HB
ShowFileSizesStats=0
# ShowDownloadsStats=HB
# ShowOSStats=1
# ShowBrowsersStats=1
# ShowScreenSizeStats=0
# ShowOriginStats=PH
# ShowKeyphrasesStats=1
# ShowKeywordsStats=1
ShowMiscStats=anjdfrqwp
# ShowHTTPErrorsStats=1
# ShowHTTPErrorsPageDetail=R
# ShowSMTPErrorsStats=0
# ShowClusterStats=0
# AddDataArrayMonthStats=1
# AddDataArrayShowDaysOfMonthStats=1
# AddDataArrayShowDaysOfWeekStats=1
# AddDataArrayShowHoursStats=1
# IncludeInternalLinksInOriginSection=0
MaxNbOfDomain=10
MinHitDomain=1
MaxNbOfHostsShown=10
MinHitHost=1
MaxNbOfLoginShown=10
MinHitLogin=1
MaxNbOfRobotShown=10
MinHitRobot=1
MaxNbOfDownloadsShown=10
MinHitDownloads=1
MaxNbOfPageShown=10
MinHitFile=1
MaxNbOfOsShown=10
MinHitOs=1
MaxNbOfBrowsersShown=10
MinHitBrowser=1
MaxNbOfScreenSizesShown=5
MinHitScreenSize=1
MaxNbOfWindowSizesShown=5
MinHitWindowSize=1
MaxNbOfRefererShown=10
MinHitRefer=1
MaxNbOfKeyphrasesShown=10
MinHitKeyphrase=1
MaxNbOfKeywordsShown=10
MinHitKeyword=1
MaxNbOfEMailsShown=20
MinHitEMail=1
# FirstDayOfWeek=1
# ShowFlagLinks=""
# ShowLinksOnUrl=1
# UseHTTPSLinkForUrl=""
# MaxLengthOfShownURL=64
# Per-site: HTMLHeadSection=""
# Per-site: HTMLEndSection=""
# MetaRobot=0
# Per-site: Logo="awstats_logo6.png"
# Per-site: LogoLink="http://www.awstats.org"
# BarWidth=260
# BarHeight=90
# StyleSheet=""
# color_Background="FFFFFF"
# color_TableBGTitle="CCCCDD"
# color_TableTitle="000000"
# color_TableBG="CCCCDD"
# color_TableRowTitle="FFFFFF"
# color_TableBGRowTitle="ECECEC"
# color_TableBorder="ECECEC"
# color_text="000000"
# color_textpercent="606060"
# color_titletext="000000"
# color_weekend="EAEAEA"
# color_link="0011BB"
# color_hover="605040"
# color_u="FFAA66"
# color_v="F4F090"
# color_p="4477DD"
# color_h="66DDEE"
# color_k="2EA495"
# color_s="8888DD"
# color_e="CEC2E8"
# color_x="C1B2E2"
# LoadPlugin="tooltips"
# LoadPlugin="decodeutfkeys"
# LoadPlugin="ipv6"
# LoadPlugin="hashfiles"
# LoadPlugin="userinfo"
# LoadPlugin="hostinfo"
# LoadPlugin="clusterinfo"
# LoadPlugin="urlalias"
# LoadPlugin="timehires"
# LoadPlugin="timezone +2"
# LoadPlugin="rawlog"
# LoadPlugin="graphapplet /awstatsclasses" # EXPERIMENTAL FEATURE
# LoadPlugin="graphgooglechartapi"
# LoadPlugin="geoipfree"
# LoadPlugin="geoip GEOIP_STANDARD /pathto/GeoIP.dat"
# LoadPlugin="geoip6 GEOIP_STANDARD /pathto/GeoIPv6.dat"
# LoadPlugin="geoip_city_maxmind GEOIP_STANDARD /pathto/GeoIPCity.dat"
# LoadPlugin="geoip_asn_maxmind GEOIP_STANDARD /usr/local/geoip.dat+http://enc.com.au/itools/autnum.php?asn="
# LoadPlugin="geoip_region_maxmind GEOIP_STANDARD /pathto/GeoIPRegion.dat"
# LoadPlugin="geoip_isp_maxmind GEOIP_STANDARD /pathto/GeoIPISP.dat"
# LoadPlugin="geoip_org_maxmind GEOIP_STANDARD /pathto/GeoIPOrg.dat"
# ExtraSectionName1="Product orders"
# ExtraSectionCodeFilter1="200 304"
# ExtraSectionCondition1="URL,\/cgi\-bin\/order\.cgi||URL,\/cgi\-bin\/order2\.cgi"
# ExtraSectionFirstColumnTitle1="Product ID"
# ExtraSectionFirstColumnValues1="QUERY_STRING,productid=([^&]+)"
# ExtraSectionFirstColumnFormat1="%s"
# ExtraSectionStatTypes1=PL
# ExtraSectionAddAverageRow1=0
# ExtraSectionAddSumRow1=1
# MaxNbOfExtra1=20
# MinHitExtra1=1
# ExtraTrackedRowsLimit=500
# Include ""
